View Issue Details

IDProjectCategoryView StatusLast Update
13615Bug reports[All Projects] Survey takingpublic2018-05-22 15:05
ReportermferrazAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.7.x 
Summary13615: The month and year is not saved when advancing and returning in a survey
Description

The month and year is not saved when advancing and returning in a survey

TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.7.0+180418
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariadb 10.1.26-0+de
Server OS (if known)Debian 9.4
Webserver software & version (if known)Apache2 2.4.25-3+deb
PHP Version7.0.27-0+deb

Relationships

related to 13633 closeddominikvitt Wrong data validation on dropdown boxes 

Activities

mferraz

mferraz

2018-04-18 12:36

reporter  

limesurvey_survey_177233.lss (17,481 bytes)
DenisChenu

DenisChenu

2018-04-18 14:02

developer   ~47456

And there are an issue with "error" in js

menor mean less than : right ?



holch

holch

2018-04-18 18:08

reporter   ~47460

Correct: "menor ou igual" == "less or equal"

mferraz

mferraz

2018-04-19 13:22

reporter   ~47464

Correct, menor means less than.
On this issue the values are not saved when advancing and returning in the survey.

mferraz

mferraz

2018-04-24 16:04

reporter   ~47512

And plus has reported by DenisChenu we get that behaviour on validating the field.

guest

guest

2018-05-17 17:11

viewer   ~47666

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27173

Related Changesets

LimeSurvey: master a36f9ce4

2018-05-17 17:11:33

Dominik Vitt

Details Diff
Fixed issue 13615: The month and year is not saved when advancing and returning in a survey Affected Issues
13615
mod - application/views/survey/questions/answer/date/dropdown/rows/day.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/month.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/year.twig Diff File

Issue History

Date Modified Username Field Change
2018-04-18 12:36 mferraz New Issue
2018-04-18 12:36 mferraz File Added: Screenshot-20180418102821-628x222.png
2018-04-18 12:36 mferraz File Added: limesurvey_survey_177233.lss
2018-04-18 14:02 DenisChenu File Added: Capture du 2018-04-18 14-01-54.png
2018-04-18 14:02 DenisChenu Note Added: 47456
2018-04-18 18:08 holch Note Added: 47460
2018-04-19 13:22 mferraz Note Added: 47464
2018-04-24 16:04 mferraz Note Added: 47512
2018-04-25 08:17 DenisChenu Relationship added related to 13633
2018-05-16 12:41 LouisGac Assigned To => dominikvitt
2018-05-16 12:41 LouisGac Status new => assigned
2018-05-17 17:11 Changeset attached => LimeSurvey master a36f9ce4
2018-05-17 17:11 guest Note Added: 47666
2018-05-17 17:11 guest Resolution open => fixed
2018-05-17 17:20 dominikvitt Status assigned => resolved
2018-05-17 17:20 dominikvitt Fixed in Version => 3.7.x
2018-05-22 15:05 ollehar Status resolved => closed